%define oname  rosegarden 
%define name 	%{oname}4
%define version 1.0
%define release 5mdk
%define iconname %{oname}.png 
%define __libtoolize /bin/true

%define major 	0
%define libname	%mklibname Rosegarden %{major}

Summary: 	Midi, audio and notation editor
Name: 		%name
Version: 	%version
Release: 	%release
URL: 		http://www.all-day-breakfast.com/rosegarden/
Source0: 	%oname-4-%version.tar.bz2
Patch1:		rosegarden-0.9.91-fix-compile.patch.bz2
Patch2:		rosegarden-4-1.0-gcc4.patch.bz2
Patch3:		rosegarden4-1.0-gcc4.0.patch.bz2
Patch4:		rosegarden-4-1.0-64bit-fixes.patch.bz2
License: 	GPL
Group: 		Sound
BuildRequires: 	qt3-devel  
BuildRequires:  kdemultimedia-devel 
BuildRequires:  jackit-devel
BuildRequires:  ladspa-devel
BuildRequires:  liblrdf-devel
BuildRequires:  ImageMagick
BuildRequires:  chrpath
BuildRoot: 	%{_tmppath}/%{name}-buildroot

%description
Rosegarden-4 is an attractive, user-friendly MIDI and audio sequencer,
notation editor, and general-purpose music composition and editing
application for Unix and Linux

%package -n %libname
Summary: Library for Rosegarden-4
Group:	System/Libraries

%description -n %libname
Library for Rosegarden-4 

%package -n %libname-devel
Summary: Devel files for Rosegarden-4
Group:  System/Libraries
Requires: %libname = %version-%release
Provides: libRosegarden-devel
Obsoletes: libRosegarden-devel

%description -n %libname-devel
Devel files for Rosegarden-4

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q -n %oname-4-%{version}

%patch1 -p1 -b .fix_compile
%patch2 -p0 -b .gcc4
%patch3 -p1 -b .more-gcc4
%patch4 -p1 -b .64bit-fixes

# -Wmissing-prototypes is only valid for the C front-end
# (don't patch, i.e. don't bother with aclocal-1.7.9 stuff)
perl -pi -e '/CXXFLAGS=.*-Wmissing-prototypes/ and s/-Wmissing-prototypes//g' configure

%build
%if "%{_lib}" != "lib"
kdelibsuffix="--enable-libsuffix=%(A=%{_lib}; echo ${A/lib/})"
%endif
%configure2_5x $kdelibsuffix --with-jack --with-ladspa  --with-liblrdf \
                        --disable-rpath  -disable-debug --without-dssi
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

chrpath -d $RPM_BUILD_ROOT/%{_bindir}/*
chrpath -d $RPM_BUILD_ROOT/%{_libdir}/*.so.* 

#rm 0 byte fonts----why were they kept Lenny?
rm -rf  `find $RPM_BUILD_ROOT -name accordion*.xpm`
rm -rf  `find $RPM_BUILD_ROOT -name custodes*.xpm`

#icons and menu
mkdir -p %{buildroot}{%{_miconsdir},%{_iconsdir},%{_liconsdir},%{_menudir}}
cp gui/pixmaps/icons/sa-hi48-rosegarden.png %{buildroot}%{_liconsdir}/%{iconname}
cp gui/pixmaps/icons/sa-hi32-rosegarden.png %{buildroot}%{_iconsdir}/%{iconname}
cp gui/pixmaps/icons/sa-hi16-rosegarden.png %{buildroot}%{_miconsdir}/%{iconname}

kdedesktop2mdkmenu.pl %{name} "Multimedia/Sound" $RPM_BUILD_ROOT%{_datadir}/applnk/Applications/rosegarden.desktop $RPM_BUILD_ROOT%{_menudir}/%{name}


%find_lang %oname

%post
%update_menus

%postun
%clean_menus

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -n %name -f %oname.lang
%defattr(-,root,root)
%defattr(-, root,root)
%doc AUTHORS COPYING Doxyfile INSTALL README TODO TRANSLATORS  
%doc docs/howtos/*.txt docs/howtos/*-notes docs/howtos/*.py
%{_bindir}/* 

%{_datadir}/applnk/Applications/rosegarden.desktop
%{_datadir}/apps/%oname

%dir %_docdir/HTML/en/%oname/
%doc %_docdir/HTML/en/%oname/*

%dir %_docdir/HTML/ja/%oname/
%doc %_docdir/HTML/ja/%oname/common
%doc %_docdir/HTML/ja/%oname/*.bz2
%doc %_docdir/HTML/ja/%oname/*.docbook

%dir %_docdir/HTML/sv/%oname/
%doc %_docdir/HTML/sv/%oname/common
%doc %_docdir/HTML/sv/%oname/*.bz2
%doc %_docdir/HTML/sv/%oname/*.docbook
%doc %_docdir/HTML/sv/%oname/*.png
%doc %_docdir/HTML/sv/%oname/*.po


%{_datadir}/icons/*/*/apps/*.xpm
%{_datadir}/mimelnk/audio/*

%_menudir/*

%{_miconsdir}/%{iconname}
%{_iconsdir}/%{iconname}
%{_iconsdir}/hicolor/*/apps/*
%{_liconsdir}/%{iconname}

%files -n %libname
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %libname-devel
%defattr(-,root,root)
%{_libdir}/*.so
%{_libdir}/*.la

%changelog
* Wed Aug 24 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 1.0-5mdk
- harmless 64-bit fixes

* Sat Aug 20 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 1.0-4mdk
- patch3: fix build (for gcc 4.0?)

* Mon Jun 13 2005 Pascal Terjan <pterjan@mandriva.org> 1.0-3mdk
- fix build with gcc4 (patch2)

* Mon Mar 21 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0-2mdk
- fix build on lib64 platforms

* Tue Feb 15 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-1mdk
- 1.0

* Mon Dec 20 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.9.91-1mdk
- 0.9.91

* Tue Oct 19 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.9.9-2mdk
- -Wmissing-prototypes is only valid for the C front-end

* Tue Aug 17 2004 Pascal Terjan <pterjan@mandrake.org> 0.9.9-1mdk
- 0.9.9
- update patch0

* Fri Jul 16 2004 Michael Scherer <misc@mandrake.org> 0.9.8-2mdk 
- rebuild for new gcc ( patch 0 )

* Tue May 26 2004 Austin Acton <austin@mandrake.org> 0.9.8-1mdk
- 0.9.8

* Tue Apr 20 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.9.7-2mdk
- Fix menu

* Thu Apr 1 2004 Austin Acton <austin@mandrake.org> 0.9.7-1mdk
- 0.9.7

* Tue Feb 17 2004 Austin Acton <austin@mandrake.org> 0.9.6-4mdk
- rebuild for liblrdf2

* Wed Jan 14 2004 Charles A Edwards <eslrahc@mandrake.org> 0.9.6-3mdk 
- put back correct changelog entry for Austin's 0.9.6-1mdk--don't
  know how I screwed that
 
* Wed Jan 14 2004 Charles A Edwards <eslrahc@mandrake.org> 0.9.6-2mdk 
- use libtoolize /bin/true
- define iconname
- build with liblrdf
- buildrequire liblrdf0-devel and ImageMagick
- use source xpm to create icons
- fix rpath for _libdir  and _bindir
- use marcos configure2_5x and makeinstall_std
- rm 0 byte fonts
- add docand doc/howtos

* Mon Jan 12 2004 Austin Acton <austin@mandrake.org> 0.9.6-1mdk 
- 0.9.6
- does not require "jack" or libname
- buildrequires jackit and ladspa libs
- mklibname
- lib64 fix buildrequires

* Thu Dec 04 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.9.5-1mdk
- 0.9.5

* Thu Jun 5 2003 Austin Acton <aacton@yorku.ca> 0.9.1-1mdk
- 0.9.1
- pretty-up spec
- tie bin and lib package versions

* Sun May 11 2003 Laurent Culioli <laurent@pschit.net> 0.9-1mdk
- 0.9
- frop patch0

* Tue May 06 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.8.5-2mdk
- buildrequires

* Fri Dec 20 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.8.5-1mdk
- add mandrake menu
- add libraries rpm
- keep zero length xpm icons...
- from ccrma package

* Wed Dec 18 2002 Fernando Lopez Lezcano <nando@ccrma.stanford.edu> 0.8.5-1
- changed name to rosegarden, anaconda does not like the current name
  (anaconda should be fixed, name is legal)
- update to 0.8.5

* Sun Nov 10 2002 Fernando Lopez Lezcano <nando@ccrma.stanford.edu> 0.8-2
- changed name of package to rosegarden-4 (what was I thinking?...)
- added patch to rename jack alsa ports for jack >= 0.40
- added explicit dependency to jack
- added redhat menu entry

* Fri Oct 18 2002 Fernando Lopez Lezcano <nando@ccrma.stanford.edu>
- Initial build.


